com.sun.jdi.event

## Interface VMDisconnectEvent

- All Superinterfaces:
    Event, Mirror

      public interface VMDisconnectEvent
      extends Event

  Notification of disconnection from target VM. May be caused by normal termination of a VM, VM termination by uncaught exception or other error, debugger action ( `VirtualMachine.dispose()` or `VirtualMachine.exit(int)`) or by external events (for example, target process termination by the operating system, transport termination, etc).

  If the target VM terminates before the disconnection, this event will be preceded by a `VMDeathEvent`.

  This event is always sent. There is no corresponding `EventRequest`. The enclosing singleton `EventSet` always has a suspend policy of `EventRequest.SUSPEND_NONE`.

  Since:
    1.3
  See Also:
    `VMDeathEvent`, `EventQueue`, `VirtualMachine`

- - ### Method Summary

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

Copyright © 1999, 2015, Oracle and/or its affiliates. All rights reserved.